Patching Echostar 1220 is similar to Strong 6xxx ... nothing new because the software comes as in Strong case from the same manufacturer ... Suresoft !

- first you must replace the Bootloader from existing version to 4.6.5 or higher
- then you must load the application ( urt )
- then load the patch ( ftapatch.bin )
- and finally load the keytable ( keys.bin )

The only tool you need is a null-modem cable and patience !
Use just the dedicated Echostar 1220 tollset ! dont make experiments ... can kill your receiver !

You can find anything you need here :

http://www.croteam-sat.org/aploud/in...AR%20RECEIVERS

Good luck !